import WanyuReport from "./src/WanyuReport.vue"
import DepartmentReport from "./src/DepartmentReport.vue"

const reportComponets = [
  WanyuReport,
  DepartmentReport
]

export default {
  install(Vue) {
    // 全局注册组件
    reportComponets.forEach(component => {
      Vue.component(component.name,component)
    })
  }
};
